/**
 * Created by abdulazizalonizi on 7/22/17.
 */
import java.util.Scanner ;
public class Task3 {
    public static void main (String [] args)
    {
        Scanner kb = new Scanner(System.in);

        System.out.println("enter the student letter grade :");
        char studentGrade = kb.next().charAt(0);


        if( (studentGrade == 'A') || (studentGrade == 'a') || (studentGrade == 'b') || (studentGrade == 'B') )
        {
         System.out.println("Good Standing");
        }
        else if ( (studentGrade == 'C') || (studentGrade == 'c') )
        {
            System.out.println("O.K.");

        }
        else if ( (studentGrade == 'D') || (studentGrade == 'd') || (studentGrade == 'F') || (studentGrade == 'f') )
        {
            System.out.println("Poor, Student is on probation !");

        }
        else
        {
            System.out.println("Invalid Letter Grade");

        }









    }
}
